{
	saved_firsttime [0]
	saved_stopfighting [0]
	
	Init[()
	{
		SetNationality(0);
		
		if(saved_firsttime = 0)
		{
			PlayAnimation(7);
			SetHealth(256);
			GiveWeapon(43);
			SetRunning();

			saved_FirstTime = 1;	
		}
		
		DropWeaponOnDeath(true);
	}]
	
	Fight[()
	{
		SetState_Patrol(0);
		SetRunning();
		PlayAnimation(13);
		SetAttackDistance(13, 5);
		SetLineOfSight(0);
		Delay(Random(3, 5), 1);
	}]
	
	Hide[()
	{
		SetState_Idle();
		SetCrouching();
		PlayAnimation(8);
		Delay(Random(3, 5), 2);
	}]
	
	BattleStart[()
	{
		FollowPath( "ameripath2", 0);
		FollowPathCallback( 127, "Fight");		
	}]
	
	StandDown[()
	{
		saved_stopfighting = 1;
		TurnTo(Level.GetPlayer());
		PlayAnimation(7);
		SetState_Idle();		
	}]
	
	DelayReached[(x)
	{
		if(x = 1)
		{
			if((not self.IsDead()) and (saved_stopfighting = 0))
			{
				Hide();	
			}
			else
			{
				StandDown();	
			}
		}
		if(x = 2)
		{
			if((not self.IsDead()) and (saved_stopfighting = 0))
			{
				Fight();	
			}
			else
			{
				StandDown();	
			}		
		}	
	}]
}